uuid: 5f715934-d38e-42b0-a726-cad1740fcf53
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_term_node_3
class: Drupal\migrate\Plugin\Migration
field_plugin_method: alterFieldFormatterMigration
cck_plugin_method: null
migration_tags:
  - 'Drupal 6'
  - Content
migration_group: migrate_drupal_6
label: 'Term/node relationships'
source:
  plugin: d6_term_node
  vid: '3'
process:
  nid:
    -
      plugin: migration_lookup
      migration:
        - upgrade_d6_node_activitystream
        - upgrade_d6_node_blog
        - upgrade_d6_node_event
        - upgrade_d6_node_feed
        - upgrade_d6_node_feed_ical
        - upgrade_d6_node_gallery
        - upgrade_d6_node_inthenews
        - upgrade_d6_node_news
        - upgrade_d6_node_page
        - upgrade_d6_node_photo
        - upgrade_d6_node_resource
        - upgrade_d6_node_simplenews
        - upgrade_d6_node_sponsor
        - upgrade_d6_node_stat
        - upgrade_d6_node_story
        - upgrade_d6_node_video
        - upgrade_d6_node_webform
      source: nid
    -
      plugin: skip_on_empty
      method: row
  type:
    -
      plugin: get
      source: type
  field_albums:
    -
      plugin: get
      source: tid
destination:
  plugin: 'entity:node'
migration_dependencies:
  required:
    - upgrade_d6_vocabulary_entity_display
    - upgrade_d6_vocabulary_entity_form_display
    - upgrade_d6_node_activitystream
    - upgrade_d6_node_blog
    - upgrade_d6_node_event
    - upgrade_d6_node_feed
    - upgrade_d6_node_feed_ical
    - upgrade_d6_node_gallery
    - upgrade_d6_node_inthenews
    - upgrade_d6_node_news
    - upgrade_d6_node_page
    - upgrade_d6_node_photo
    - upgrade_d6_node_resource
    - upgrade_d6_node_simplenews
    - upgrade_d6_node_sponsor
    - upgrade_d6_node_stat
    - upgrade_d6_node_story
    - upgrade_d6_node_video
    - upgrade_d6_node_webform
  optional:
    - upgrade_d6_node_activitystream
    - upgrade_d6_node_blog
    - upgrade_d6_node_event
    - upgrade_d6_node_feed
    - upgrade_d6_node_feed_ical
    - upgrade_d6_node_gallery
    - upgrade_d6_node_inthenews
    - upgrade_d6_node_news
    - upgrade_d6_node_page
    - upgrade_d6_node_photo
    - upgrade_d6_node_resource
    - upgrade_d6_node_simplenews
    - upgrade_d6_node_sponsor
    - upgrade_d6_node_stat
    - upgrade_d6_node_story
    - upgrade_d6_node_video
    - upgrade_d6_node_webform
    - upgrade_d6_node_activitystream
    - upgrade_d6_node_blog
    - upgrade_d6_node_event
    - upgrade_d6_node_feed
    - upgrade_d6_node_feed_ical
    - upgrade_d6_node_gallery
    - upgrade_d6_node_inthenews
    - upgrade_d6_node_news
    - upgrade_d6_node_page
    - upgrade_d6_node_photo
    - upgrade_d6_node_resource
    - upgrade_d6_node_simplenews
    - upgrade_d6_node_sponsor
    - upgrade_d6_node_stat
    - upgrade_d6_node_story
    - upgrade_d6_node_video
    - upgrade_d6_node_webform
